package model

import (
	"time"
)

type DbMapping struct {
	DbMasterId    string    `json:"db_master_id" xorm:"not pk null comment('站长id') VARCHAR(32)"`
	DbHost        string    `json:"db_host" xorm:"not null default '' comment('数据库连接（带port）') VARCHAR(255)"`
	DbUsername    string    `json:"db_username" xorm:"not null default '' comment('数据库用户名') VARCHAR(255)"`
	DbPassword    string    `json:"db_password" xorm:"not null default '' comment('数据库用户名密码') VARCHAR(255)"`
	DbName        string    `json:"db_name" xorm:"not null comment('数据库名') VARCHAR(255)"`
	ExternalMysql string    `json:"external_mysql" xorm:"not null default '0' comment('是否外部mysql(0是内部，1是外部)') VARCHAR(255)"`
	IsDev         int       `json:"is_dev" xorm:"not null default 0 comment('开发库是1,0是生产库') TINYINT(1)"`
	CreatedAt     time.Time `json:"created_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
	UpdatedAt     time.Time `json:"updated_at" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') TIMESTAMP"`
	DeletedAt     int       `json:"deleted_at" xorm:"not null default 0 comment('是否已删除') TINYINT(1)"`
}
